# AdventureLog v0.7.1

Released 11-13-2024

Hi everyone! I am super excited to announce the release of AdventureLog v0.7.1. This update includes a lot of improvements that make using AdventureLog more enjoyable and accessible. This update is largely community driven as it addresses more than 10 enhancement requests (thanks everyone!).

# What's New ✨

### Docker Compose Change 🐋

> [!IMPORTANT]  
> _While the app will still function normally without these changes_, they are recommended for the best support and stability
> The **migration guide** can be found here: https://docs.adventurelog.app/docs/Guides/nginx_migration

- Migrated nginx inside of server container for easier deployment, removed external nginx requirement
- App now uses gunicorn for better performance at scale

### Adventures 📍

- Adventures can now be sorted by visit status (visited or planned) on the adventures screen.
- The Adventure create/edit modal now supports reverse geocoding locations. This means that for most places, the location field will be auto filled when you click on the map. It now has a popup of the associated world travel region and allows you to mark the region as visited if its not already. This makes it easier to track your world region visits!
- The adventure map now shows previews of images and has the emoji of the category on the map pin!
- In settings, you can perform a visited region check. This will scan all of your visited adventures and mark the associated world travel region as visited if its detected in the adventure. This serves as a bulk operation for for existing adventures.

### World Travel 🗺️

- World travel regions can now be sorted by world regions and visit status. The statuses are fully visited, partially visited, and not visited.

### Bug Fixes 🐛

- Fixed a bug where sorting by date would return to home screen

### Localization 🌐

- Migrated app to a localization framework
- Added toggle for languages on the `...` menu in the top right.
- **Supported Languages**: English, Spanish, French, German, Italian, Chinese, Dutch, Swedish

### Other

- New login and signup screen featuring adventures from community members (submitted in discord server).

## What's Next ⏭️

- Custom categories for adventures
- Ability to link adventures to multiple collections
- MFA and ODIC auth
- Immich integration

# Sponsorship 💖

[!["Buy Me A Coffee"](https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png)](https://www.buymeacoffee.com/seanmorley15)
As a computer science student, I pour my free time into developing and enhancing AdventureLog, driven by my passion for this project and its potential to make adventure planning easier for everyone. Your support, no matter the amount, means the world to me. It shows that you believe in the project and its future. I’m excited to announce that I’ve launched my page on Buy Me A Coffee—check it out!

Hope you all enjoy!
Feel free to join the release discussion below to share feedback and ideas or anything else related to this update!

Happy travels,
Sean @seanmorley15
