# AdventureLog v0.8.0 - Immich Integration, Calendar and Customization

Released 01-08-2025

Hi everyone! 🚀  
I’m thrilled to announce the release of **AdventureLog v0.8.0**, a huge update packed with new features, improvements, and enhancements. This release focuses on delivering a better user experience, improved functionality, and expanded customization options. Let’s dive into what’s new!

---

## What's New ✨

### Immich Integration

- AdventureLog now integrates seamlessly with [Immich](https://github.com/immich-app), the amazing self-hostable photo library.
- Import your photos from Immich directly into AdventureLog adventures and collections.
  - Use Immich Smart Search to search images to import based on natural queries.
  - Sort by photo album to easily import your trips photos to an adventure.

### 🚗 Transportation

- **New Transportation Edit Modal**: Includes detailed origin and destination location information for better trip planning.
- **Autocomplete for Airport Codes**: Quickly find and add airport codes while planning transportation.
- **New Transportation Card Design**: Redesigned for better clarity and aesthetics.

---

### 📝 Notes and Checklists

- **New Modals for Notes and Checklists**: Simplified creation and editing of your notes and checklists.
- **Delete Confirmation**: Added a confirmation step when deleting notes, checklists, or transportation to prevent accidental deletions.

---

### 📍Adventures

- **Markdown Editor and Preview**: Write and format adventure descriptions with a markdown editor.
- **Custom Categories**: Organize your adventures with personalized categories and icons.
- **Primary Images**: Adventure images can now be marked as the "primary image" and will be the first one to be displayed in adventure views.

---

### 🗓️ Calendar

- **Calendar View**: View your adventures and transportation in a calendar layout.
- **ICS File Export**: Export your calendar as an ICS file for use with external apps like Google Calendar or Outlook.

---

### 🌐 Localization

- Added support for **Polish** language (@dymek37).
- Improved Swedish language data (@nordtechtiger)

---

### 🔒 Authentication

- **New Authentication System**: Includes MFA for added security.
- **Admin Page Authentication**: Enhanced protection for admin operations.
  > [!IMPORTANT]  
  > Ensure you know your credentials as you will be signed out after updating!

---

### 🖌️ UI & Theming

- **Nord Theme**: A sleek new theme option for a modern and clean interface.
- **New Home Dashboard**: A revamped dashboard experience to access everything you need quickly and view your travel stats.

---

### ⚙️ Settings

- **Overhauled Settings Page**: Redesigned for better navigation and usability.

---

### 🐛 Bug Fixes and Improvements

- Fixed the **NGINX Upload Size Bug**: Upload larger files without issues.
- **Prevents Duplicate Emails**: Improved account management; users can now add multiple emails to a single account.
- General **code cleanliness** for better performance and stability.
- Fixes Django Admin access through Traefik (@PascalBru)

---

### 🌐 Infrastructure

- Added **Kubernetes Configurations** for scalable deployments (@MaximUltimatum).
- Launched a **New [Documentation Site](https://adventurelog.app)** for better guidance and support.

---

## Sponsorship 💖

[![Buy Me A Coffee](https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png)](https://www.buymeacoffee.com/seanmorley15)  
As always, AdventureLog continues to grow thanks to your incredible support and feedback. If you love using the app and want to help shape its future, consider supporting me on **Buy Me A Coffee**. Your contributions go a long way in allowing for AdventureLog to continue to improve and thrive 😊

---

Enjoy the update! 🎉  
Feel free to share your feedback, ideas, or questions in the discussion below or on the official [discord server](https://discord.gg/wRbQ9Egr8C)!

Happy travels,  
**Sean Morley** (@seanmorley15)
