# AdventureLog v0.9.0 - Smart Recommendations, Attachments, and Maps

Released 03-19-2025

Hi travelers! 🌍  
I’m excited to unveil **AdventureLog v0.9.0**, one of our most feature-packed updates yet! From Smart Recommendations to enhanced maps and a refreshed profile system, this release is all about improving your travel planning and adventure tracking experience. Let’s dive into what’s new!

---

## What's New ✨

### 🧠 Smart Recommendations

- **AdventureLog Smart Recommendations**: Get tailored suggestions for new adventures and activities based on your collection destinations.
- Leverages OpenStreetMap to recommend places and activities near your travel destinations.

---

### 🗂️ Attachments, GPX Maps & Global Search

- **Attachments System**: Attach files to your adventures to view key trip data like maps and tickets in AdventureLog!
- **GPX File Uploads & Maps**: Upload GPX tracks to adventures to visualize them directly on your maps.
- **Global Search**: A universal search bar to quickly find adventures, cities, countries, and more across your instance.

---

### 🏨 Lodging & Itinerary

- **Lodging Tracking**: Add and manage lodging accommodations as part of your collections, complete with check-in/check-out dates.
- **Improved Itinerary Views**: Better day-by-day itinerary display with clear UI enhancements.

---

### 🗺️ Maps & Locations

- **Open Locations in Maps**: Directly open adventure locations and points of interest in your preferred mapping service.
- **Adventure Category Icons on Maps**: View custom category icons right on your adventure and collection maps.

---

### 🗓️ Calendar

- **Collection Range View**: Improved calendar view showing the full date range of collections.

---

### 🌐 Authentication & Security

- **OIDC Authentication**: Added support for OpenID Connect (OIDC) for seamless integration with identity providers.
- **Secure Session Cookies**: Improved session cookie handling with dynamic domain detection and better security for IP addresses.
- **Disable Password Auth**: Option to disable password auth for users with connected OIDC/Social accounts.

---

### 🖥️ PWA Support

- **Progressive Web App (PWA) Support**: Install AdventureLog as a PWA on your desktop or mobile device for a native app experience.

---

### 🏗️ Infrastructure & DevOps

- **Dual-Stack Backend**: IPv4 and IPv6 ready backend system (@larsl-net).
- **Kubernetes Configs** continue to be improved for scalable deployments.

---

### 🌐 Localization

- **Korean language support** (@seanmorley15).
- **Improved Dutch** (@ThomasDetemmerman), **Simplified Chinese** (@jyyyeung), **German** (@Cathnan and @marcschumacher) translations.
- **Polish and Swedish** translations improved in prior release!

---

### 📝 Documentation

- **New Unraid Installation Guide** with community-contributed updates (@ThunderLord956, @evertyang).
- Updated **OIDC** and **Immich integration** docs for clarity (@UndyingSoul, @motox986).
- General spell-check and documentation polish (@ThunderLord956, @mcguirepr89).

---

### 🐛 Bug Fixes and Improvements

- Fixed CSRF issues with admin tools.
- Backend ready for **dual-stack** environments.
- Improved itinerary element display and GPX file handling.
- Optimized session cookie handling for domain/IP setups.
- Various **small Python fixes** (@larsl-net).
- Fixed container relations (@bucherfa).
- Django updated to **5.0.11** for security and performance improvements.
- General **codebase clean-up** and UI polish.

---

## 🌟 New Contributors

A huge shoutout to our amazing new contributors! 🎉

- @larsl-net
- @bucherfa
- @UndyingSoul
- @ThunderLord956
- @evertyang
- @Thiesjoo
- @motox986
- @mcguirepr89
- @ThomasDetemmerman
- @Cathnan
- @jyyyeung
- @marcschumacher

Thank you for helping AdventureLog grow! 🙌

---

## Support My Work 💖

[![Buy Me A Coffee](https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png)](https://www.buymeacoffee.com/seanmorley15)  
If AdventureLog has made your travels more organized or your trip memories richer, consider supporting my work on **Buy Me A Coffee**. Your support directly helps shape the future of this project! ☕

---

Enjoy this update and keep sharing your journeys with us! 🌍✈️  
As always, drop your feedback and ideas in the [official Discord](https://discord.gg/wRbQ9Egr8) or in the discussions!

Happy travels,  
**Sean Morley** (@seanmorley15)

---

**[Full Changelog](https://github.com/seanmorley15/AdventureLog/compare/v0.8.0...v0.9.0)**
