# 🚀 Install Options for AdventureLog

AdventureLog can be installed in a variety of ways, depending on your platform or preference.

## 📦 Docker Quick Start

::: tip Quick Start Script
**The fastest way to get started:**  
[Install AdventureLog with a single command →](quick_start.md)  
Perfect for Docker beginners.
:::

## 🐳 Popular Installation Methods

- [Docker](docker.md) — Simple containerized setup
- [Proxmox LXC](proxmox_lxc.md) — Lightweight virtual environment
- [Synology NAS](synology_nas.md) — Self-host on your home NAS
- [Kubernetes + Kustomize](kustomize.md) — Advanced, scalable deployment
- [Unraid](unraid.md) — Easy integration for homelabbers
- [Umbrel](https://apps.umbrel.com/app/adventurelog) — Home server app store

## ⚙️ Advanced & Alternative Setups

- [Nginx Proxy Manager](nginx_proxy_manager.md) — Easy reverse proxy config
- [Traefik](traefik.md) — Dynamic reverse proxy with automation
- [Caddy](caddy.md) — Automatic HTTPS with a clean config
